summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorClark Williams <williams@redhat.com>2007-12-13 15:02:03 -0600
committerClark Williams <williams@redhat.com>2007-12-13 15:02:03 -0600
commite2a3ae38691b188b56ba0bddf431a62a5f9ac182 (patch)
tree892140e3a0ce0961b4d38193991145487b02edf0 /docs
parent33d6db8f39e2f5a1aed9c8bc0c7e5e453d662d0c (diff)
downloadmock-e2a3ae38691b188b56ba0bddf431a62a5f9ac182.tar.gz
mock-e2a3ae38691b188b56ba0bddf431a62a5f9ac182.tar.xz
mock-e2a3ae38691b188b56ba0bddf431a62a5f9ac182.zip
added copyin/out options; added makeChrootPath() method to Root
Diffstat (limited to 'docs')
-rwxr-xr-xdocs/releasetests.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index df82523..27d37fc 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -53,6 +53,24 @@ if [ ! -e $CHROOT/usr/include/python* ]; then
exit 1
fi
+# test the copyin command
+time $MOCKCMD --copyin docs/release-instructions.txt /tmp
+if [ ! -f $CHROOT/tmp/release-instructions.txt ]; then
+ echo "copyin test FAILED! could not find $CHROOT/tmp/release-instructions.txt"
+ exit 1
+fi
+
+# test the copyout command
+time $MOCKCMD --copyout /etc/passwd /tmp/my-copyout-passwd
+if [ ! -f /tmp/my-copyout-passwd ]; then
+ echo "copyout test FAILED! could not find /tmp/my-copyout-passwd"
+fi
+mkdir /tmp/$uniqueext
+time $MOCKCMD --copyout /etc/passwd /etc/fstab /tmp/$uniqueext
+if [ ! -f /tmp/$uniqueext/passwd -o ! -f /tmp/$uniqueext/fstab ]; then
+ echo "multiple copyout failed!"
+fi
+
#
# Test that chroot return code is properly passed up
#